\chapter*{Introduction}
\addcontentsline{toc}{chapter}{Introduction}

Unitex is a collection of programs developped for the analysis of texts in
natural language by using linguistic resources and tools. These resources
consist of electronic dictionaries, grammars and lexicon-grammar tables,
initially developed  for French by Maurice Gross and his students  at the
Laboratoire d'Automatique Documentaire et Linguistique (LADL).\index{LADL}
Similar resources have been developed for other languages in the context of the
RELEX laboratory network.

\bigskip
\noindent The electronic dictionaries specify the simple and compound words of a
language together with their lemmas and a set of grammatical (semantic and inflectional)
codes. The availability of these dictionaries is a major advantage compared to
the usual utilities for pattern searching as the information they contain can be
used  for searching and matching,  thus  describing large classes of words using
very simple patterns. The dictionaries are presented in the DELA formalism and
were constructed  by teams of  linguists for several languages (French, English,
Greek, Italian, Spanish, German, Thai, Korean, Polish, Norwegian, Portuguese,
etc.)

\bigskip
\noindent The grammars used here are representations of linguistic phenomena on the
basis of  recursive transition networks (RTN), a formalism closely related to
finite state automata. Numerous studies have shown the adequacy of automata for
linguistic problems at all descriptive levels  from morphology and syntax to
phonetic issues. Grammars created with Unitex carry this approach further  by
using a formalism even more powerful than automata. These grammars are
represented as graphs that the user can easily create and update.

\bigskip
\noindent Lexicon-grammar tables are matrices describing
properties of some words. Many such tables have been constructed   for all
simple verbs in French as a way of describing their relevant
syntactic properties. Experience has shown that every word has a
quasi-unique behavior, and these tables are a way to present the 
grammar of every element in the lexicon, hence the name lexicon-grammar 
for this linguistic theory. Unitex offers a way to
automatically build grammars from lexicon-grammar tables.

\bigskip
\noindent Unitex can be viewed as a tool in which one can put linguistic resources
and use them. Its technical characteristics are its portability,  modularity,
the possibility of dealing with languages that use special writing systems (e.g. many
Asian languages), and its openness, thanks to its open source distribution. Its
linguistic characteristics are the ones that have motivated the elaboration of
these resources: precision, completeness, and the taking into account of frozen
expressions, most notably those which concern the enumeration of compound words.


\section*{What's new from version 2.0 ?}
\addcontentsline{toc}{section}{What's new from version 2.0 ?}
Here are the main new features:
\begin{itemize}
  \item Introduction of \verb$LocateTfst$ that performs locate operations
        on the text automaton (\ref{section-locate-tfst}, \ref{section-LocateTfst})
  \item \verb$LocateTfst$ fully supports Korean (\ref{section-korean})
  \item New search options (\ref{section-advanced-search-options})
  \item Introduction of \verb$Stats$ that can compute statistics from a
        concordance file (\ref{section-statistics})
  \item Introduction of a statistical tagger that can trim text automata to make them
        linear (\ref{section-linearization})
  \item Introduction of the transducer cascade system CasSys (chapter \ref{chap-cassys})
  \item Introduction of output variables that can be used to catch outputs emitted
        by grammars (\ref{section-output-variables})
  \item Introduction of operators to test and compare variables (\ref{section-ops-on-variables})
  \item Supporting semitic inflection (\ref{subsection-semitic-inflection}), with a full support 
        of Arabic typographical variations (\ref{subsection-arabic-typo-rules})
  \item New options to apply dictionary graphs (\ref{section-dictionary-graphs}) 
  \item Introduction of \verb$Uncompress$ that can rebuild a \verb$.dic$
        dictionary from a \verb$.bin$ compressed one (\ref{section-Uncompress})
  \item Introduction of \verb$Untokenize$ that can rebuild a \verb$.snt$
        text file from \verb$text.cod$ and \verb$tokens.txt$ (\ref{section-Untokenize})
  \item Introduction of ancient Georgian
  \item The console has changed: you can view error messages emitted by
        previous commands (\ref{section-console})
  \item There is a tutorial for installing Unitex on MacOS X 
       (\ref{section-macos-install})
  \item New text automaton format \verb+.tfst+ (\ref{section-tfst-format})          
  \item Unitex programs have Unix style options
  \item Unitex is now pure LGPL (\ref{section-licences})
  \item Unitex can be compiled as a dynamic library (\verb$.dll$ or \verb$.so$)
  (\ref{section-unitex-developpers})
  \item Some Unitex programs can run without memory leak when compiled with preprocessor
  macro UNITEX\_RELEASE\_MEMORY\_AT\_EXIT or UNITEX\_LIBRARY.
  This include \verb$Concord$, \verb$Convert$, \verb$Dico$, \verb$Elag$, \verb$Evamb$, \verb$Extract$, \verb$Flatten$, \verb$Fst2Txt$, \verb$Grf2Fst2$, \verb$ImplodeTfst$, \verb$LocateTfst$, \verb$MultiFlex$, \verb$Normalize$, \verb$PolyLex$, \verb$Reg2Grf$, \verb$SortTxt$, \verb$TagsetNormTfst$, \verb$TEI2Txt$, \verb$Tfst2Grf$, \verb$Tfst2Unambig$, \verb$Tokenize$, \verb$Txt2Tfst$, \verb$XMLizer$.
  \item Unitex code is thread-safe
  \item Encoding of Unicode text file can be specified (\ref{section-text-file-encoding-parameters})
  \item Introduction of \verb$UnitexTool$ that can be used to launch several
  Unitex programs in one command to make scripting easier
  (\ref{section-UnitexTool})
  \item Introduction of \verb$UnitexToolLogger$ that can be used to create and
  run again log of Unitex programs execution.
  (\ref{section-UnitexToolLogger})
  \item Introduction of \verb$Seq2Grf$ that automatically produce local grammar from raw text,
  or XML-TEILite document(\ref{chap-sequence-automaton})
  \item You can look up for a word in an opened Dictionnary or in several dictionnaries from the User or System ressources (\ref{section-dictionary-lookup})
  \item You can acces to sub-graphs called in the current graph or graphs in which the current graph is a subgraph (\ref{section-subgraphs}), automatically or manually reload latest version on disk of the current graph, compare two verisions of the same graph and insert context delimiters in the new extended ToolBar(\ref{toolbar-commands})
  \item If you're using a macintosh device, you can use every shortcut involving the Ctrl key by pressing the Command key instead.
  \item Introduction of a contextual menu for graph edition accessible by right clicking in the graph window (\ref{section-editing-graphs}).
  \item New window for concordance in Debug mode with the graph used for the Locate and the list of boxes that matches each token of the found sequences.	

\end{itemize}

\bigskip
\noindent IMPORTANT: as some file formats changed and some new files were introduced, we recommend that you
repreprocess your existing text files, especially if you work with text
automata.

\section*{Content}
\addcontentsline{toc}{section}{Content}
\noindent Chapter \ref{chap-install} describes how to install and run
Unitex.

\bigskip \noindent Chapter \ref{chap-text} presents the different steps in the
analysis of  a text.

\bigskip \noindent Chapter \ref{chap-dictionaries} describes the formalism of
the DELA electronic dictionaries and the different operations that can be applied to them.

\bigskip \noindent Chapters \ref{chap-regexp} and \ref{chap-grammars}
present different means for making text searches more effective. 
Chapter \ref{chap-grammars} describes in detail how to use the graph
editor.

\bigskip \noindent Chapter \ref{chap-advanced-grammars} is concerned
with the different possible applications of grammars. The particularities of each type of grammar are
presented.

\bigskip \noindent Chapter \ref{chap-text-automaton} introduces the 
concept of text automaton and describes the properties of this notion. This chapter also describes 
operations on this object, in particular, how to disambiguate lexical items with
the ELAG program.

\bigskip \noindent Chapter \ref{chap-sequence-automaton} describes the sequence automaton module, the file formats that are accepted as input, the user interface and introduces the search by approximation.

\bigskip \noindent Chapter \ref{chap-lexicon-grammar} contains an
introduction to lexicon-grammar tables, followed by a description of the method of constructing grammars based on these
tables.

\bigskip \noindent Chapter \ref{chap-alignment} describes the text
alignment module, based on the XAlign tool.

\bigskip \noindent Chapter \ref{chap-multiflex} describes the compound word
inflection module, as a complement of the simple word inflection mechanism
presented in chapter \ref{chap-dictionaries}.

\bigskip \noindent Chapter \ref{chap-cassys} describes the CasSys cascade of transducer system.

\bigskip \noindent Chapter \ref{chap-external-programs} contains a
detailed description of the external programs that make up the Unitex system.

\bigskip \noindent Chapter \ref{chap-file-formats} contains
descriptions of all file formats used in the system. 


\bigskip \noindent The reader will find in appendix the LGPL license
under which the Unitex source code is released, as well as the LGPLLR license
which applies for the linguistic data distributed with Unitex. There is also
the 2-clause BSD licence that applies to the TRE library, used by Unitex for 
morphological filters.


\section*{Unitex contributors}
\addcontentsline{toc}{section}{Unitex contributors}
Unitex was born as a bet on the power of Open Source philosophy in the academic
world (see \url{http://igm.univ-mlv.fr/~unitex/why_unitex.html}), 
relying on the assumption that people would be interested in sharing
their knowledge and skill into such an open project. The following list
sounds like Open Source is good for science:

\begin{itemize}
    \item Olivier Blanc: has integrated the ELAG system into Unitex, originally
    designed by Eric Laporte, Anne Monceaux and some of their students, has
    also written \verb+RebuildTfst+ (previously known as \verb+MergeTextAutomaton+)
    \item Matthieu Constant: author of \verb+Grf2Fst2+
    \item Julien Decreton: author of the text editor integrated in Unitex,
    has also designed the undo functionality in the graph editor
    \item Claude Devis: introduction of morphological filters, 
    based on the TRE library
    \item Nathalie Friburger: author of \verb+Cassys+
    \item Hyun-Gue Huh: author of the tools used to
    generate Korean dictionaries
    \item Claude Martineau: had worked on the simple word inflection part of
    \verb+MultiFlex+
    \item Sebastian Nagel: has optimized many parts of the code, has also
    adapted \verb+PolyLex+ for German and Russian
    \item Alexis Neme: has optimized \verb+Dico+ and \verb+Tokenize+, has also
    merged \verb+Locate+ into \verb+Dico+ in order to allow dictionary graphs 
    \item Aljosa Obuljen: author of \verb+Stats+
    \item S\'ebastien Paumier: main developper
    \item Agata Savary: author of \verb+MultiFlex+
    \item Anthony Sigogne: author of \verb+Tagger+ and \verb+TrainingTagger+
    \item Gilles Vollant: author of \verb+UnitexTool+, has optimized many
    aspects of Unitex code (memory, speed, multi-compiler compliance, etc)
    \item Patrick Watrin: author of \verb+XMLizer+, has worked on the
    integration of \verb+XAlign+
\end{itemize}

\bigskip
\noindent Moreover, Unitex would be useless without all the precious linguistic
resources it contains. All those resources are the result of hard work done
by people that shall not be forgotten. Some are mentionned in disclaimers that
come with dictionaries, and complete information is available on:

\bigskip
\noindent \url{http://igm.univ-mlv.fr/~unitex/linguistic_data_bib.html}


\section*{If you use Unitex in research projects...}
\addcontentsline{toc}{section}{If you use Unitex in research projects...}
Unitex has been used in several research projects. Some are listed in the
``Related works'' section of Unitex home page. If you did some work with Unitex
(resources, project, paper, thesis, ...) and if you want it to be referenced in
the web site, just send a mail to \url{unitex@univ-mlv.fr}. The more visible,
the more cited!
